Bug 198472 - Package wireless-tools lacks IPv6 support
Package wireless-tools lacks IPv6 support
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
bzcl34nup
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 08:42 EDT by Peter Vrabec
Modified: 2008-05-06 20:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 08:42:38 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
		
This package seems to lack IPv6 support.
Comment 1 Peter Vrabec 2006-08-30 04:15:32 EDT
$ grep -R INET *
wireless_tools.28/iwlib.h:#include <sys/socket.h>               /* For AF_INET & struct sockaddr 
*/
wireless_tools.28/iwlib.c:    AF_INET, AF_IPX, AF_AX25, AF_APPLETALK
wireless_tools.28/iwlib.c:     (ifr.ifr_addr.sa_family !=  AF_INET))
wireless_tools.28/iwlib.c:  sain->sin_family = AF_INET;
wireless_tools.28/macaddr.c:    devsock = socket(AF_INET, SOCK_STREAM, 0);

wireless_tools.28/iwlib.c:109
/*
 * Open a socket.
 * Depending on the protocol present, open the right socket. The socket
 * will allow us to talk to the driver.
 */

It seems iwlib.c use socket only to talk to driver, so this shouldn't be IPv6 problem.

Christopher, could you look at it and confirm there aren't any problems with IPv6 in 
wireless-tools?
Comment 2 Bug Zapper 2008-04-03 13:46:21 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:39:55 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.